function P = LagrangePoly_BP(in)
%--------------------------------------------------------------------------
% LagrangePoly_BP berechnet das Interpolationspolynom in Lagrange-Form 
% zur ti-Achse und gibt es als String aus.
% Eingabe:
% in - Sttzstellen auf der ti-Achse
% Ausgabe:
% Interpolations-Polynom als String
%--------------------------------------------------------------------------
[m n] = size(in);
% in kann als Zeilen- oder Spaltenvektor eingegeben werden
if m == 1
   in = in';
   m = n;
end;
disp(' ');
disp(['Lagrange-Polynome -> Start: ',char(datestr(now))]);
disp(' ');
L = '';
for k = 0:(m-1)
    q = 1;
    LK = '';
    for j = 0:(m-1)
        if j ~= k
           q = q*(in(k+1)-in(j+1));
           if j ~= (m-1)
              if (k == (m-1)) && (j == (m-2))
                 LK = strcat(LK,'(t-(',num2str(in(j+1)),'))');
              else
                 LK = strcat(LK,'(t-(',num2str(in(j+1)),'))*');
              end;
           else
              LK = strcat(LK,'(t-(',num2str(in(j+1)),'))');
           end;
        end;
    end;
    if k ~= (m-1)
       L=strcat(L,'L',num2str(k),' = ','(1/',num2str(q),').*',LK,'; ');
    else
       L=strcat(L,'L',num2str(k),' = ','(1/',num2str(q),').*',LK);
    end;
end;
P = L;