function y = LinSplines(t,data,prt)
%----------------------------------------------------------
% Affin lineare Spline-Interpolation
%
% Eingabe:
% t    - Interpolationsargument  
% data - m-File mit Datenpunkten
% prt  - 1 Grafik, 0 keine Grafik 
% Ausgabe:
% y = s(t)
%%----------------------------------------------------------
if ischar(data)
   in = load(data);
else
   in = data;
end
[m ~] = size(in);
y = zeros(1,length(t));
for k = 1:length(t)
    j = 1;
    for j = 1:(m-1)
        if (t(k)>= in(j,1)) && (t(k) <= in(j+1,1))
            y(k) = in(j,2)+((in(j+1,2)-in(j,2))/(in(j+1,1)-in(j,1)))*(t(k)-in(j,1));
        end;
    end;
end;
if prt == 1 
   hold on
   plot(in(:,1),in(:,2),'.r','MarkerSize',15);
   plot(t,y,'-b');
end; 
