function yi = AkimaSplines(ti,data,prt)
%-------------------------------------------------------------
% Akima Splines
% Eingabe:
% ti    - Argument fr Interpolation 
% data  - Datenpunkte
% prt   - 1 Grafik, 0 keine Grafik 
% Ausgabe:
% Interpolierte Werte
%-------------------------------------------------------------
if ischar(data)
   in = load(data);
else
   in = data;
end
[n ~] = size(in);
t = in(:,1);
y = in(:,2);
% Berechnung der Steigungen
dt = diff(t);
s = diff(y)./dt;
s_1 = 2*s(1) - s(2);s_2 = 2*s_1 - s(1);
s_n = 2*s(n-1) - s(n-2);s_n1 = 2*s_n - s(n-1);
se = [s_2;s_1;s;s_n;s_n1];
ds = abs(diff(se)); s1 = ds(3:n+2); s2 = ds(1:n); s1ps2 = s1+s2;
dy = 0.5*(se(2:n+1)+se(3:n+2));
%dy = se(2:n+1)
gz = find(s1ps2 > eps*max(s1ps2));
dy(gz) = (se(gz+1).*s1(gz)+se(gz+2).*s2(gz))./s1ps2(gz);
% Koeffizienten
a0 = y;
a1 = dy;
a2 = (3*s-2*dy(1:n-1)-dy(2:n))./dt;
a3 = (dy(1:n-1)+dy(2:n)-2*s)./dt.^2;
%histc ersetzt die for-Schleifen
[~,bin] = histc(ti,t);
bin = min(bin,n-1);
j = bin(1:length(ti));
tj = (ti'-t(j));
yi = a3(j).*tj.^3+a2(j).*tj.^2+a1(j).*tj+a0(j);
%-------------------------------------------------------------------------
%Das wre die Interpolation mit zwei for-Schleifen 
%for k = 1:length(ti)
%    j = 1;
%    for j = 1:(n-1)
%        if (ti(k)>= t(j)) && (ti(k) <= t(j+1))
%           yi(k) = a3(j)*(ti(k)-t(j))^3 + a2(j)*(ti(k)-t(j))^2 +a1(j)*(ti(k)-t(j))+a0(j); 
%        end;
%   end; 
%end;
%-------------------------------------------------------------------------
%Drucken
if prt == 1 
   hold on
   plot(in(:,1),in(:,2),'.r','MarkerSize',15);
   plot(ti,yi,'-b');
end;
