function P = LagrangePoly(data,prt)
%--------------------------------------------------------------------------
% LagrangePoly berechnet das Interpolationspolynom in Lagrange-Form und  
% gibt es als String aus. 
% Eingabe:
% data - m-File mit Datenpunkten
% prt  - 1 Grafik, 0 keine Grafik 
% Ausgabe:
% Interpolations-Polynom als String 
%--------------------------------------------------------------------------
in = load(data);
[m ~] = size(in);
disp(' ');
disp(['Lagrange-Polynome -> Start: ',char(datestr(now))]);
disp(' ');
L = '';
for k = 0:(m-1)
    q = 1;
    LK = '';
    for j = 0:(m-1)
        if j ~= k
           q = q*(in(k+1,1)-in(j+1,1));
           if j ~= (m-1)
              if (k == (m-1)) && (j == (m-2))
                 LK = strcat(LK,'(t-(',num2str(in(j+1,1)),'))');
              else
                 LK = strcat(LK,'(t-(',num2str(in(j+1,1)),'))*');
              end;
           else
              LK = strcat(LK,'(t-(',num2str(in(j+1,1)),'))');
           end;
        end;
    end;
    if k ~= (m-1)
       L=strcat(L,'(',num2str(in(k+1,2)),').*','(1/',num2str(q),').*',LK,'+');
    else
       L=strcat(L,'(',num2str(in(k+1,2)),').*','(1/',num2str(q),').*',LK);
    end;
end;
P = L;
if prt == 1 
   hold on
   plot(in(:,1),in(:,2),'.r','MarkerSize',15);
   tmin = min(in(:,1));
   tmax = max(in(:,1));
   fplot(L,[tmin tmax],'-b');
end; 
