function y = FourierReihe(xi,L,n)
%----------------------------------------------------------
% Partialsumme Sn der Fourier-Reihe einer Funktion 
% mit Periode 2L 
% Eingabe:
% xi    - Argument (auch Vektor)   
% L     - Periode 2L
% n     - Anzahl Summanden der Partialsumme
% Ausgabe:
% y     - y = Sn(x)
%----------------------------------------------------------
m = length(xi);
i =1:1:n;
%Eingabe der Funktion---
f = @(x) x.^2
fcos =  @(x) x.^2.*cos(i.*pi.*x/L)
fsin =  @(x) x.^2.*sin(i.*pi.*x/L)
%------------------------
a02 = double((1/L)*quad(f,-L,L))/2;
if n == 0 
   y = repmat(a02,1,m);
else
   ai = (1/L)*quadv(fcos,-L,L); 
   bi = (1/L)*quadv(fsin,-L,L);
   y = repmat(a02,1,m) + sum((repmat(ai,m,1).*cos(xi'*i*pi/L))')+
       sum((repmat(bi,m,1).*sin(xi'*i*pi/L))');    
end;
f = a02 + sum(ai.*cos(x*i*pi/L));
L2_Abstand = double((int((func-f)^2,0,L)))^0.5