function y = FCosinusReihe(func,xi,L,n)
%----------------------------------------------------------
% Partialsumme Sn der Cosinus Fourier-Reihe einer Funktion
% mit Periode 2L
%
% Eingabe:
% func - Funktion als String mit Array-Operatoren mit x 
%        als Variable
% xi   - Argument (auch Vektor)
% L    - Periode 2L
% n    - Anzahl Summanden der Partialsumme
% Ausgabe:
% y - y = Sn(x)
%----------------------------------------------------------
m = length(xi);
i =1:1:n;
%Eingabe der Funktion---
fin = inline(func,'x');
f = @(x) fin(x);
fcos = @(x) fin(x).*cos(i.*pi.*x/L);
%------------------------
a02 = double((1/L)*quadl(f,0,L));
if n == 0
   y = repmat(a02,1,m);
else
   ai = (2/L)*quadv(fcos,0,L);
   y = repmat(a02,1,m) + sum((repmat(ai,m,1).*cos(xi'*i*pi/L))');
end;
S = @(x) (a02 + sum(ai.*cos(x*i*pi/L)) - fin(x)).^2;
L2_Abstand = (quadv(S,0,L))^0.5