function y = FSinusReihe(func,xi,L,n)
%----------------------------------------------------------
% Partialsumme Sn der Sinus Fourier-Reihe einer Funktion
% mit Periode 2L
%
% Eingabe:
% func - Funktion als String mit Array-Operatoren mit x 
%        als Variable
% xi   - Argument (auch Vektor)
% L    - Periode 2L
% n    - Anzahl Summanden der Partialsumme
% Ausgabe:
% y - y = Sn(x)
%----------------------------------------------------------
m = length(xi);
i =1:1:n;
%Eingabe der Funktion---
fin = inline(func,'x');
f = @(x) fin(x);
fsin = @(x) fin(x).*sin(i.*pi.*x/L);
%------------------------
bi = (2/L)*quadv(fsin,0,L,10^-8);
y = sum((repmat(bi,m,1).*sin(xi'*i*pi/L))');
S = @(x) (sum(bi.*sin(x'*i*pi/L)) - fin(x)).^2;
L2_Abstand = (quadv(S,0,L,10^-8))^0.5