function yi = TrigInterpol(x,y,prt)
%---------------------------------------------------
% Trigonometrische Interpolation
%
% Eingabe:
% Datenpunkte - [x1 x2 ...xn] [y1 y2 ... yn]
% prt         - 1 Grafikausgabe
% Ausgabe:
% yi          - Interpolierte Werte
%---------------------------------------------------
x1 = x(1);
x = x -x1;
N = length(x)/2;
if N - floor(N) > 0
   u = 1;
   N = floor(N);
else
   u = 0;
end;
if u == 0
   T = 2*N*abs(min(diff(x)));
   %-Koeffizienten
   for k = -N+1:N
       ck(k+N) = (1/(2*N))*sum(y.*exp(-j*k*x*2*pi/T));
   end;
   x = x+x1;
   t = x(1):0.01:x(2*N);
   k =-N+1:1:N-1;
   for m = 1:length(t)
       yi(m) = sum(ck(1:2*N-1).*exp(j*2*pi*k*(t(m)-x1)/T)) + ...
               (ck(2*N)/2)*(exp(j*2*pi*N*(t(m)-x1)/T)+ ...
               exp(-j*2*pi*N*(t(m)-x1)/T)); 
   end
else
   T = (2*N+1)*abs(min(diff(x)));
   %-Koeffizienten
   for k = -N:N
       ck(k+N+1) = (1/(2*N+1))*sum(y.*exp(-j*k*x*2*pi/T));
   end;
   x = x+x1;
   t=x(1):0.01:x(2*N+1);
   k =-N:1:N;
   for m =1:length(t)
       yi(m) = sum(ck.*exp(j*2*pi*k*(t(m)-x1)/T));
   end; 
end;    
yi = real(yi);
if prt == 1 
   hold on;
   plot(x,y,'s','LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','r','MarkerSize',8);
   axis auto; 
   plot(t,yi,'-k')
end;
