function yi = Interpol_iDFT(x,y,prt)
%---------------------------------------------------
% Interpolation mit iDFT
%
% Eingabe:
% Datenpunkte - [x1 x2 ...xn] [y1 y2 ... yn]
% prt - 1 Grafikausgabe
% Ausgabe:
% yi - Interpolierte Werte
%---------------------------------------------------
N = length(x);
T = N*abs(min(diff(x)));
%-Diskrete Fourier-Transfomation
ck = fft(y);
ak = real(ck);
bk = -imag(ck);
t = x(1):0.01:x(N);
k =0:1:N-1;
for m =1:length(t)
    %yi(m) = (1/N)*sum(ck.*exp(i*2*pi*k*t(m)/T)); %Komplexe Form
    yi(m) = (1/N)*(sum(ak.*cos(2*pi*k*t(m)/T)) + sum(bk.*sin(2*pi*k*t(m)/T)));
end;
yi = real(yi);
if prt == 1
   hold on;
   plot(x,y,'s','LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','r', ...
       'MarkerSize',8);
   axis auto;
   plot(t,yi,'-b')
end;