function p = Neville(data,tau)
%-------------------------------------------------------
% NEVILLE berechnet den Wert des Interpolationspolynoms
% n-ten Grades zu den Datenpunkten (t[i],y[i]),i=1..n+1, 
% an der Stelle tau mit Hilfe des Neville-Algorithmus.
% Eingabe:
% data - m-File mit Datenpunkten
% tau  - reelle Zahl
%-------------------------------------------------------
if ischar(data)
   in = load(data);
else
   in = data;
end;
[n m] = size(in);
t = in(:,1);
y = in(:,2);
for k=2:n
    for i=k-1:-1:1
        y(i)=y(i)+(y(i+1)-y(i))*(tau-t(i))/(t(k)-t(i));
    end
end
p=y(1);