function p=Neville_v(data,tau,prt)
%-------------------------------------------------------
% NEVILLE_v berechnet den Wert des Interpolationspolynoms
% n-ten Grades zu den Datenpunkten (t[i],y[i]),i=1..n+1,
% an den Stellen tau(j) mit Hilfe des Neville-Algorithmus.
% Eingabe:
% data - m-File mit Datenpunkten
% tau - Vektor
% prt - 1 Grafik, 0 keine Grafik
%-------------------------------------------------------
if ischar(data)
   in = load(data);
else
   in = data;
end;
[n m] = size(in);
t = in(:,1);
p = zeros(1,length(tau));
for j=1:length(tau)
    y = in(:,2);
    for k=2:n
        for i=k-1:-1:1
            y(i)=y(i)+(y(i+1)-y(i))*(tau(j)-t(i))/(t(k)-t(i));
        end;
    end;
    p(j)=y(1);
end;
if prt == 1
   hold on
   plot(in(:,1),in(:,2),'.r','MarkerSize',15);
   plot(tau,p,'-b');
end;
