function [u P] = NewtonPoly(data,prt)
%--------------------------------------------------------------------------
% NewtonPoly berechnet das Interpolationspolynom in Newton-Form und gibt es
% als String aus.
% Eingabe:
% data - m-File mit Datenpunkten
% prt - 1 Ausgabe Grafik, 0 keine Grafik
% Ausgabe:
% u - Vektor der Koeffizienten
% P - Newton-Form als String
%--------------------------------------------------------------------------
if ischar(data)
   in = load(data);
else
   in = data;
end;
[n ~] = size(in);
y = zeros(1,n);
t = zeros(1,n);
u = zeros(1,n);
for i = 0:n-1
    t(n-i) = in(i+1,1);
end;
for i = 0:n-1
    y(n-i) = in(i+1,2);
end;
disp(' ');
disp(['Newton-Form. Start: ',char(datestr(now))]);
disp(' ');
%Berechne die Koeffizienten mit dividierten Differenzen
for k=2:n
    for i=k-1:-1:1
        y(i)=(y(i+1)-y(i))/(t(k)-t(i));
    end;
end;
%Ausgabe Koeffizienten
for i = 0:n-1
    u(n-i) = y(i+1);
end;
NK = '';
for k = 1:n
    if k == 1
       NK = num2str(u(k));
    else
       NK = strcat(NK,'+(',num2str(u(k)),')*');
    end;
    for j = 1:k-1
        if j == 1
           NK = strcat(NK,'(t-(',num2str(in(j,1)),'))');
        else
           NK = strcat(NK,'*(t-(',num2str(in(j,1)),'))');
        end;
    end;
end;
P = NK;
if prt == 1
   hold on
   plot(in(:,1),in(:,2),'.r','MarkerSize',15);
   tmin = min(in(:,1));
   tmax = max(in(:,1));
   fplot(P,[tmin tmax],'-b');
end;