function TaylorPoly(g,a,b,grad,center)
%-------------------------------------------------------------------------
% Plot des Taylor-Polynoms und der zugehrigen Funktion g.
% Die Variable, z.B. t, muss vor Aufruf der Funktion als
% symbolische Variable definiert werden (z.B. syms t)
%-------------------------------------------------------------------------
if nargin < 5
   center = 0; 
end;
T = taylor(g,grad,center);
td = a:0.05:b; 
yd = subs(g,td);
ezplot(T, [a,b]);
hold on;
plot(td, yd, 'r-.')
title('Taylor approximation vs. actual function');
legend('Taylor','Function');