function y = FSinusReiheST(func,xi,L,n)
%----------------------------------------------------------
% Partialsumme Sn der Kosinus Fourier-Reihe einer Funktion
% mit Periode 2L (bentigt die Symbolic Toolbox)
%
% Eingabe:
% xi - Argument (auch Vektor)
% func - Funktion z.B. x^2
% L - Periode 2L
% n - Anzahl Summanden der Partialsumme
% Ausgabe:
% y - y = Sn(x)
%----------------------------------------------------------
syms x;
m = length(xi);
i =1:1:n;
fsin = func.*sin(i.*pi.*x/L);
bi = double((2/L)*int(fsin,0,L));
y = sum((repmat(bi,m,1).*sin(xi'*i*pi/L))');
f = sum(bi.*sin(x*i*pi/L));
L2_Abstand = double((int((func-f)^2,0,L)))^0.5