function y = FourierReiheST(func,xi,L,n)
%----------------------------------------------------------
% Partialsumme Sn der Fourier-Reihe einer Funktion 
% mit Periode 2L (bentigt die Symbolic Toolbox)
%
% Eingabe:
% xi    - Argument (auch Vektor)   
% func  - Funktion z.B. x^2
% L     - Periode 2L
% n     - Anzahl Summanden der Partialsumme
% Ausgabe:
% y     - y = Sn(x)
%----------------------------------------------------------
syms x;
m = length(xi);
a02 = double((1/L)*int(func,-L,L))/2;
if n == 0 
   y = repmat(a02,1,m);
else
   i =1:1:n;
   fcos =  func.*cos(i.*pi.*x/L);
   fsin =  func.*sin(i.*pi.*x/L);
   ai = double((1/L)*int(fcos,-L,L)); 
   bi = double((1/L)*int(fsin,-L,L));
   y = repmat(a02,1,m) + sum((repmat(ai,m,1).*cos(xi'*i*pi/L))')...
                       + sum((repmat(bi,m,1).*sin(xi'*i*pi/L))');  
   f = a02 + sum(ai.*cos(x*i*pi/L))+sum(bi.*sin(x'*i*pi/L));
   L2_Abstand = double((int((func-f)^2,-L,L)))^0.5
end;

