function yi = TrigCosInterpol(x,y,prt)
%---------------------------------------------------
% Cosinus Interpolation
%
% Eingabe:
% Datenpunkte - [x1 x2 ...xn] [y1 y2 ... yn]
% prt         - 1 Grafikausgabe
% Ausgabe:
% yi          - Interpolierte Werte
%---------------------------------------------------
N = length(x);
T = N*abs(min(diff(x)));
%-Koeffizienten
for k=0:N-1
    ck(k+1) = (2/N)*sum(y.*cos(k*x*pi/T+k*pi/(2*N)));
end;
t=x(1):0.01:x(N);
k =1:N-1;
for m =1:length(t)
    yi(m) = ck(1)/2 + sum(ck(2:N).*cos(pi*k*t(m)/T+k*pi/(2*N))); 
end
yi = real(yi);
if prt == 1 
   hold on;
   plot(x,y,'s','LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','r','MarkerSize',8);
   axis auto; 
   plot(t,yi,'-k')
end;
