function yi = TrigInterpolDFT(x,y,prt)
%---------------------------------------------------
% Trigonometrische Interpolation
%
% Eingabe:
% Datenpunkte - [x1 x2 ...xn] [y1 y2 ... yn]
% prt         - 1 Grafikausgabe
% Ausgabe:
% yi          - Interpolierte Werte
%---------------------------------------------------
x1 = x(1);
x = x -x1;
N = length(x); % N gerade
M = N/2;
T = N*abs(min(diff(x)));
%-Diskrete Fourier-Transfomation
ck = (1/N)*fft(y);
%-Umordnen
ck = [ck(M+2:N) ck(1:M+1)];
x = x+x1;
t=x(1):0.01:x(N);
k = -M+1:1:M-1;
for m =1:length(t)
    yi(m) = sum(ck(1:2*M-1).*exp(j*2*pi*k*(t(m)-x1)/T)) + ...
            (ck(2*M)/2)*(exp(j*2*pi*M*(t(m)-x1)/T)+ ...
            exp(-j*2*pi*M*(t(m)-x1)/T)); 
end
yi = real(yi);
if prt == 1 
   hold on;
   plot(x,y,'s','LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor', ...
        'r','MarkerSize',8);
   axis auto; 
   plot(t,yi,'-b')
end
