%-------------------------------------------------------------------------
% Flow curve for steel grade 100Cr6 (phi constant)
%-------------------------------------------------------------------------
%insert constant value for phi
phi = 0.5;
%load data
mdata = load('kf100CR6.m');
mdata = [log(mdata(:,1)) log(mdata(:,2)) mdata(:,2) mdata(:,3) log(mdata(:,4))];
[x,bfcl] = MLA(mdata,0,{'t4' 't1' 't2' 't3' 't1*t4' '1'},{'t1' 't2' 't3' 't4'});
%Non linear model
disp(' ');
disp('Transformed parameters for the non linear model function');
disp(' ');
x(6) = exp(x(6));
for i = 1:6
    v1 = num2str(i);
    v2 = num2str(x(i));
    C = strcat('x',v1,' =  ',v2);
    disp(C);
    C = '';
end
disp(' ');
disp('Non linear function:');
disp(' ');
v1 = num2str(x(1));
v2 = num2str(x(2));
v3 = num2str(x(3));
v4 = num2str(x(4));
v5 = num2str(x(5));
v6 = num2str(x(6));
C = 'kf = g(T,phi,phip) = ';
F = strcat(v6,'*exp(',v1,'*T)*phip^(',v2,'+',v5,'*T)*phi^',v3,'*exp(',v4,'*phi)');
disp(strcat(C,F));
bfc = inline(F,'T','phi','phip');
% Plots
j = 0;
for i = 1:length(mdata)
    if mdata(i,3) == phi
       j = j + 1;
       in(j,1) = mdata(i,4);
       in(j,2) = exp(mdata(i,1));
       in(j,3) = exp(mdata(i,5));
    end
end
min12 = min(in);
max12 = max(in);
F = strcat(v6,'*exp(',v1,'*T)*phip^(',v2,'+',v5,'*T)*',num2str(phi),'^',v3,...
    '*exp(',v4,'*',num2str(phi),')');
bfc1 = inline(F,'T','phip');
hold on
plot3(in(:,1),in(:,2),in(:,3),'.','MarkerSize',15);
ezmesh(bfc1,[min12(1),max12(1),min12(2),max12(2)],70);
title(['phi = ',num2str(phi)]);
view(106,29);
%shading interp;
colormap default;
grid on
hold off
