-------------------------------------------------------------------------
% Returns the kf-value for steel grade 100Cr6
%
% Input: T    - Temperature
%        phi  - Strain
%        phip - Strain rate
%
% Example: func100cr6(900,1.5,0.5)
%-------------------------------------------------------------------------
function kf = func100cr6(T,phi,phip)
kf = 7437.8475*exp(-0.0037043*T)*phip^(-0.078897+0.00021138*T)*phi^0.23147*exp(-0.50591*phi); 
