function y = uapprox(N,g0,u,t)
%--------------------------------------------------------------------------------------
% Approximierende Lsungsfunktion
%
% Eingabe: N  - Anzahl der Teilintervalle
%                g0 - Randwert fr t = 0
%                u  - Lsungsvektor des diskretisierten Problems
%
% Ausgabe: y = g0*phi(N,0,t)+ u(1)*phi(N,1,t) + ... + u(N)*phi(N,N,t)
%--------------------------------------------------------------------------------------
y1 = g0*phi(N,0,t);
y = 0;
for j = 1:N
    y = y + u(j)*phi(N,j,t);
end
y = y + y1;
