function S = eigvalqr(A,maxiter)
%-------------------------------------------------
% Schur-Form einer Matrix A mit QR-Faktorisierung
% Eingabe:
% A         - Matrix
% maxiter   - Anzahl Iterationen
%
% Ausgabe:
% S - Schur-Form
%-----------------------------------------------
[n,m]= size(A);
sigma = A(n,n);
A=hess(A);
iter = 0;
while iter < maxiter
    [Q,R] = qr(A-sigma*eye(n));
    A = R*Q + sigma*eye(n);
    sigma = min(eig(A(n-1:n,n-1:n)));
    iter = iter + 1;
end;
S=A;
