function S = eigvalqr(A,tol,maxiter)
%-------------------------------------------------
% Schur-Form einer Matrix A mit QR-Faktorisierung
% Eingabe:
% A         - Matrix
% tol       - Abbruchtoleranz
% maxiter   - Anzahl Iterationen
%
% Ausgabe:
% S - Schur-Form
%-----------------------------------------------
tic
if nargin < 3
   maxiter = 1000;
end;
[n,m]= size(A);
A=hess(A);
sigma = min(eig(A(n-1:n,n-1:n)));
fehler = 1;
iter = 0;
while (iter < maxiter & fehler > tol + 2*eps) 
  [Q,R] = qr(A-sigma*eye(n));
  A = R*Q + sigma*eye(n);
  fehler = norm(diag(A,-1));
  sigma = min(eig(A(n-1:n,n-1:n)));
  iter = iter + 1;
end;
Iterationen = iter
toc
S=A;
