function [lambda,v] = invvektorit(A,x0,tol,maxiter)
%-------------------------------------------------
% Inverse Vektoriteration
% Eingabe:
% A         - Matrix
% x0        - Startvektor
% tol       - Abbruchtoleranz
% maxiter   - Anzahl Iterationen
%
% Ausgabe:
% lambda    - kleinster Eigenwert
% v         - Eigenvektor zu lambda
%-----------------------------------------------
tic
if nargin < 4
   maxiter = 1000;
end;
[n,m]= size(A);
fehler = 1;
iter = 0;
xk = x0;
while (iter < maxiter & fehler > tol + 2*eps) 
  xk1 = A\xk;
  lambda = dot(xk1,xk);
  fehler = norm(xk1 - lambda*xk);
  if lambda == 0 
     xk = xk1/norm(xk1);
  else
     xk = sign(lambda)*xk1/norm(xk1);
  end;
  iter = iter + 1;
end;
lambda = 1/lambda;
Iterationen = iter
toc
v = xk;


