Anhang A_4_4_invvektorit
function [lambda,v] = v_invvektorit(A,x0,mue,tol,maxiter)
%-------------------------------------------------
% Verschobene Inverse Vektoriteration
% Eingabe:
% A         - Matrix
% x0        - Startvektor
% mue       - 
% tol       - Abbruchtoleranz
% maxiter   - Anzahl Iterationen
%
% Ausgabe:
% lambda    - Eigenwert nahe mue
% v         - Eigenvektor zu lambda
%-----------------------------------------------
tic
if nargin < 5
   maxiter = 10000;
end;
[n,m]= size(A);
fehler = 1;
iter = 0;
xk = x0;
AV=A-mue*eye(n);
while (iter < maxiter & fehler > tol + 2*eps) 
  xk1 = AV\xk;
  lambda = dot(xk1,xk);
  fehler = norm(xk1 - lambda*xk);
  if lambda == 0
     xk = xk1/norm(xk1);
  else
     xk = sign(lambda)*xk1/norm(xk1);
  end;
  iter = iter + 1;
end;
lambda = (1/lambda)+mue;
Iterationen = iter
toc
v = xk;