% Function-File: NewtonNV 
% Simplified Newton method in N Dimensions.
% Input:  fName  - String (Name) of the function-file 
%           dfName - String (Name) of the jacobian-file
%            v           - Start vector e.g. [0;...;-1]
%            tol         - Tolerance
%-------------------------------------------------------
function u = NewtonNV(fName,dfName,xc,tol)
%-- Init
iter = 0;
disp(' ');
disp('Start simplified Newton iteration');
tic;
 
%--Iterations
fc = ones(1,length(xc));
dfc  = feval(dfName,xc);
while norm(fc) > tol + eps;
   fc   = feval(fName,xc);
   xs    = -dfc\fc;             
   xc   = xc+xs;
   iter = iter+1;
end
disp(' ');
s = sprintf('Iterations: %d',iter);
disp(s);
u = xc;
Time = toc 