% Non Linear Curve Fitting using built in function
% lsqcurvefit (Optimization Toolbox)
%
% Input: data      - File of the measured data
%           fName   - String (Name) of the function-file 
%           dfName - String (Name) of the jacobian-file of the 
%                           residue function with resp. to x
%           xc          - Start vector
%           tol          - Tolerance
%           prt         - 1 Plot of the curve and the data points
%                           0 No plot
%-----------------------------------------------------------------------
function [x,resnorm] = LSQCF(data,fName,x0,ls,tol)
tic;
in = load(data);
[m q] = size(in);
%--Data points
t = [];
for k = 1:(q-1)
    t(:,k) = in(:,k);
end
ydata = in(:,q);
options = optimset('Display','iter','LargeScale',ls,'TolFun',tol);
format long;
[x,resnorm] = lsqcurvefit(fName,x0,t',ydata',[],[],options)
format short;
time = toc