%Zero of a function by bisection method
%
%Input:   func  - String of the function e.g. 'x^2-2x-3'
%            a,b    - Limits of the interval
%            tol     - Tolerance
%            st      - 0 or 1 -> shows iteration-steps 
%
%Output:  approx. zero
%
%Example: bisection('x^2-2x-3',-2,2,eps,0)
function z = bisection(func,a,b,tol,st)
%define the inline-function
f = inline(func);
iter = 0;
disp(' ');
s = sprintf('%s %f','Tolerance = ',tol + eps*max(abs(a),abs(b)));
disp(s);
disp(' '); 
if st ~= 0
   disp(' ');
   s = sprintf('%s %f','Tolerance = ',tol + eps*max(abs(a),abs(b)));
   disp(s);
   disp(' '); 
   s = sprintf('%s       %s            %s           %s','Iteration','a','b','|b-a|');
   disp(s);
   s = sprintf('%s','-----------------------------------------------');
   disp(s);
   s = sprintf('%d           %f      %f      %f',iter,a,b,abs(b-a));
   disp(s);
end
fa = f(a);
while abs(a-b) > tol + eps*max(abs(a),abs(b))
  m = (a+b)/2;
  fm = f(m); %Nur eine f-Auswertung pro Iterationsschritt
  if fa*fm <= 0 
     %zero in [a;m]
     b = m;
  else
     %zero in [m;b]
     a = m;
     fa = fm;
  end
  iter = iter + 1; 
  %-Ausgabe.
  if st ~= 0 
     if iter < 10 
        s = sprintf('%d           %f      %f      %f',iter,a,b,abs(b-a));        
     elseif iter < 100
        s = sprintf('%d          %f      %f      %f',iter,a,b,abs(b-a)); 
     else
        s = sprintf('%d         %f      %f      %f',iter,a,b,abs(b-a));   
     end
     disp(s);
  end
end
if st ~= 0
   s = sprintf('%s %f','(a+b)/2 = ',(a+b)/2);
   disp(' ');
   disp(s);
end
z = (a+b)/2;
