%Zeros of a function by Secant method
%
%Input:   func  - String of the function e.g. 'x^2-2x-3                 
%            x0    - Start value
%            x1    - Start value
%            tol    - Tolerance
%            st     - 0 or 1 -> Shows iteration-steps 
%            N     - Max. iter.
%Output:  approx. zero
%
%Example: Secant('x^2-2*x-3',2,1,eps,0,100)
function z = Secant(func,x0,x1,tol,st,N)
%define the inline-function
f = inline(func);
xc1 = x1;
xc = x0;
fc = f(xc);
fc1 = f(xc1);
.
.
.
while abs(fc/g) > tol + eps
    if iter > N-1
       break;
    end
    g = (fc1-fc)/(xc1-xc); 
    xnew = xc - fc/g;
    xc = xc1;
    fc = fc1;
    xc1 = xnew;
    fc1 = f(xc1); %Pro Iterationsschritt wird nur ein Funktionswert berechnet
    iter = iter + 1; 
end