% Fixpoint iteration using an exact q
% 
%  Input:  fName  - string (Name) of the function-file 
%          v      -  start vector e.g. [0;...;-1]
%          q      -  contraction factor (0 < q < 1)
%          tol    -  tolerance
%-------------------------------------------------------------------------
function u = Banach(fName,v,q,tol); 
 
%-- Initialization
iter = 0;
xc0 = v;
xc1 = feval(fName,xc0);
 
%--Iterations
disp(' ');
disp('Start fixpoint iteration');
while (q/(1-q))*norm(xc0-xc1) > tol + eps*max(norm(xc0),norm(xc1))
   xc2 = feval(fName,xc1);
   xc0 = xc1;
   xc1 = xc2;
   iter = iter+1; 
end
disp(' ');
s = sprintf('Iterationen: %d',iter);
disp(s);
disp(' ');
u = xc1;