% Function-File: NewtonN 
% Newton method in N Dimensions.
% Input:  fName  - String (Name) of the function-file 
%           dfName - String (Name) of the jacobian-file
%           v            - Start vector e.g. [0;...;-1]
%           tol          - Tolerance
%-------------------------------------------------------------------
function u = NewtonN(fName,dfName,xc,tol)
 
%-- Init 
iter = 0;
disp(' ');
disp('Start Newton iteration');
 
%--Iterations
s = ones(1,length(xc));
while norm(s) > tol + eps;
   fc   = feval(fName,xc);
   dfc  = feval(dfName,xc);
   s    = -dfc\fc;              % Solve the linear system
   xc   = xc+s;
   iter = iter+1;
end
disp(' ');
s = sprintf('Iterations: %d',iter);
disp(s);
u = xc;