% Function-File: NewtonNSTB 
% (uses Symbolic Toolbox)
% Newton Method in N Dimensions.
% Input: fName  - String (Name) of the function-file 
%        xc     - Start vector e.g. [0;...;-1]
%        tol    - Tolerance
%-------------------------------------------------------
function u = NewtonNSTB(fName,xc,tol)
 
%--Prepare the inline function and the jacobian
f=inline(fName);
a=argnames(f);
k = length(a);
s = ['syms '];
i = 1;
for i = 1:k
    s = [s char(a(i)) '  '];
end
eval(s);
s =strcat('g=',fName,';');
eval(s);
i = 1;
s = 'x=[';
for i = 1:(k-1)
    s = strcat(s,'x',int2str(i),';');
end
s = strcat(s,'x',int2str(k),']',';');
eval(s);
R=jacobian(g,x);
s = '[';
i = 1;
m = 1;
for i = 1:k
    for m = 1:k
        if m < k 
           s = strcat(s,char(R(i,m)),',');
        else
           if i < k
              s = strcat(s,char(R(i,m)),';');
           else
              s = strcat(s,char(R(i,m)),']');
           end
        end
    end
end
df=inline(s);
 
iter = 0;
disp(' ');
disp('Start Newton iteration');
 
%--Inline functions for iterations.
i = 1;
fcs = 'fc = f(';
for i = 1:(k-1)
    fcs = strcat(fcs,'xc(',int2str(i),'),');
end
fcs = strcat(fcs,'xc(',int2str(k),'));');
i = 1;
dfcs = 'dfc = df(';
for i = 1:(k-1)
    dfcs = strcat(dfcs,'xc(',int2str(i),'),');
end
dfcs = strcat(dfcs,'xc(',int2str(k),'));');
 
%--Iterations.
fc = ones(k,1);
while norm(fc) > tol + eps;
   eval(fcs);
   eval(dfcs);
   eval('xs = -dfc\fc;');   % Solve the linear system
   eval('xc = xc+xs;');
   iter = iter+1;
end
disp(' ');
s = sprintf('Iterations: %d',iter);
disp(s);
u = xc;
